Bug 66956 - kpackage crashes when uninstalling with dependencies
kpackage crashes when uninstalling with dependencies
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-18 23:49 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 10:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-18 23:49:00 EDT
Description of Problem:
If you attempt to uninstall a package that other packages depend on, 
without removing those other packages first, kpackage may crash instead of 
giving an error message.

Version-Release number of selected component (if applicable):


How Reproducible:
With certain packages it always happens.

Steps to Reproduce:
1. Insert Install CD #3 and install mysql (which for reasons that totally 
escape me is not installed when you do a "custom install" and select the 
"SQL" group) along with all MySQL related packages like mysqlclient9, 
mysql-devel, mysql-server, DBI-mysql, php-mysql, and qt-mysql using 
kpackage.
2. Now attempt to uninstall just mysql with kpackage.
3. kpackage crashes.  It will only work if you uninstall all of those extra 
packages (mysqlclient9, mysql-devel, ...) before uninstalling mysql.

Actual Results:


Expected Results:


Additional Information:
Comment 1 Petr Rockai 2005-02-15 10:02:06 EST
kpackage was dropped from distribution  

Note You need to log in before you can comment on or make changes to this bug.